summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2016-01-31 13:43:13 -0800
committerPaul Eggert <eggert@cs.ucla.edu>2016-01-31 13:43:47 -0800
commitcedd7cad092809a97c1ed7fb883b68fa844cea58 (patch)
tree3486c25fcb2be525a48837ceba7a99d447af3c9a /autogen.sh
parent86ce76b8e31a94ab91632daff02e0a84f5e68bcf (diff)
downloademacs-cedd7cad092809a97c1ed7fb883b68fa844cea58.tar.gz
autogen.sh now arranges for git to check hashes
Suggested by Karl Fogel in: http://lists.gnu.org/archive/html/emacs-devel/2016-01/msg01802.html * autogen.sh: Do "git config transfer.fsckObjects true".
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index a63c53c903c..877bb8476f7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -220,6 +220,11 @@ echo timestamp > src/stamp-h.in || exit
## Configure Git, if using Git.
if test -d .git && (git status -s) >/dev/null 2>&1; then
+ # Check hashes when transferring objects among repositories.
+
+ git config transfer.fsckObjects true || exit
+
+
# Configure 'git diff' hunk header format.
git config 'diff.elisp.xfuncname' \